#
# spec file for package python-Flask-Principal
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-Flask-Principal
Version:        0.4.0
Release:        4.4
License:        MIT
Summary:        Identity management for flask
URL:            http://packages.python.org/Flask-Principal/
Group:          Development/Languages/Python
# Pypi sources don't include tests
#Source:         https://files.pythonhosted.org/packages/source/F/Flask-Principal/Flask-Principal-%%{version}.tar.gz
Source:         https://github.com/mattupstate/flask-principal/archive/%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/mattupstate/flask-principal/master/LICENSE
BuildRequires:  %{python_module importlib-metadata}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Test requirements
BuildRequires:  %{python_module blinker}
BuildRequires:  %{python_module Flask}
# End of test requirements
Requires:       python-blinker
Requires:       python-Flask
BuildArch:      noarch

%python_subpackages

%description
Flask-Principal provides a very loose framework to tie in providers of
two types of services, often located in different parts of a web application:
Authentication providers and User information providers.

%prep
%setup -q -n flask-principal-%{version}
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest discover -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Nov 30 2023 Antonio Larrosa <alarrosa@suse.com>
- Add %%{?sle15_python_module_pythons}
* Tue Sep 14 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Sat Aug 14 2021 Fusion Future <qydwhotmail@gmail.com>
- Require pip and importlib-metadata to fix build.
* Wed Oct 10 2018 Antonio Larrosa <alarrosa@suse.com> - 0.4.0
- Use sources from github instead of pypi, so we can run tests
* Wed Aug 22 2018 alarrosa@suse.com
- Initial release of python-Flask-Principal-0.4.0
